Create one special handling type
/fscmRestApi/resources/11.13.18.05/specialHandlingTypes
Request
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
-
Upsert-Mode: string
Contains one of the following values: true or false. If true, the server performs an Upsert operation instead of a Create operation. During an Upsert operation, the server attempts to find an existing resource that matches the payload. If a match is found, the server updates the existing resource instead of creating a new one. If not found or false (default), the server performs a Create operation. Note that the Upsert operation isn't supported for date-effective REST resources.
- application/json
object-
AutomaticallyCreateReceiptFlag: boolean
Title:
Automatically Create ReceiptMaximum Length:1Contains one of the following values: true or false. If true, then the application creates a receipt after the purchase order is implemented. If false, then the application doesn't create a receipt after the purchase order is implemented. -
Description: string
Title:
DescriptionMaximum Length:240Description of the special handling type purchasing document. -
EnabledFlag: boolean
Title:
EnabledMaximum Length:1Default Value:trueContains one of the following values: true or false. If true, then the special handling type will be available for document creation. If false, then you won't be able to create documents with that type. -
HeaderContextCode: string
Maximum Length:
30Descriptive flexfield context name for the special handling document header. -
LineContextCode: string
Maximum Length:
30Descriptive flexfield context name for the special handling document line. -
NegotiatedFlag: boolean
Title:
NegotiatedMaximum Length:1Contains one of the following values: true or false. If true, then when creating special handling purchasing documents, the Negotiated field on the line is enabled. If false, then the Negotiated field isn't enabled. -
RequiresBuyerReviewFlag: boolean
Title:
Requires Buyer ReviewMaximum Length:1Contains one of the following values: true or false. If true, then special handling orders created from requisitions require buyer review before submission. If false, then special handling orders created from requisitions are submitted automatically. -
RequiresSingleSupplierFlag: boolean
Title:
Requires Single SupplierMaximum Length:1Default Value:trueContains one of the following values: true or false. If true, then all lines on special handling requisitions must have the same supplier and supplier site. If false, then requisition lines can have a different supplier and supplier site. -
SpecialHandlingType: string
Title:
Special Handling TypeMaximum Length:30Type of purchasing document that indicates that the document needs to be handled in a special manner. -
SpecialHandlingTypeCode: string
Title:
Special Handling Type CodeMaximum Length:30Abbreviation that identifies the special handling type.
Response
- application/json
Default Response
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
object-
AutomaticallyCreateReceiptFlag: boolean
Title:
Automatically Create ReceiptMaximum Length:1Contains one of the following values: true or false. If true, then the application creates a receipt after the purchase order is implemented. If false, then the application doesn't create a receipt after the purchase order is implemented. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the special handing type. -
CreationDate: string
(date-time)
Read Only:
trueDate and time when the special handling type was created. -
Description: string
Title:
DescriptionMaximum Length:240Description of the special handling type purchasing document. -
EnabledFlag: boolean
Title:
EnabledMaximum Length:1Default Value:trueContains one of the following values: true or false. If true, then the special handling type will be available for document creation. If false, then you won't be able to create documents with that type. -
HeaderContext: string
Title:
Header ContextRead Only:trueMaximum Length:80Descriptive flexfield context display value for the special handling document header. -
HeaderContextCode: string
Maximum Length:
30Descriptive flexfield context name for the special handling document header. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate and time when the user last updated the special handling type. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who last updated the special handling type. -
LineContext: string
Title:
Line ContextRead Only:trueMaximum Length:80Descriptive flexfield context display value for the special handling document line. -
LineContextCode: string
Maximum Length:
30Descriptive flexfield context name for the special handling document line. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
NegotiatedFlag: boolean
Title:
NegotiatedMaximum Length:1Contains one of the following values: true or false. If true, then when creating special handling purchasing documents, the Negotiated field on the line is enabled. If false, then the Negotiated field isn't enabled. -
RequiresBuyerReviewFlag: boolean
Title:
Requires Buyer ReviewMaximum Length:1Contains one of the following values: true or false. If true, then special handling orders created from requisitions require buyer review before submission. If false, then special handling orders created from requisitions are submitted automatically. -
RequiresSingleSupplierFlag: boolean
Title:
Requires Single SupplierMaximum Length:1Default Value:trueContains one of the following values: true or false. If true, then all lines on special handling requisitions must have the same supplier and supplier site. If false, then requisition lines can have a different supplier and supplier site. -
SpecialHandlingType: string
Title:
Special Handling TypeMaximum Length:30Type of purchasing document that indicates that the document needs to be handled in a special manner. -
SpecialHandlingTypeCode: string
Title:
Special Handling Type CodeMaximum Length:30Abbreviation that identifies the special handling type. -
SpecialHandlingTypeId: integer
(int64)
Read Only:
trueValue that uniquely identifies the special handling type.
arrayLinksobject-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Examples
This example describes how to create one special handling type.
Example cURL Command
Use the following cURL command to submit a request on the REST resource.
curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/specialHandlingTypes"
For example:
curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/specialHandlingTypes"
Example Request Body
The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.
{
"SpecialHandlingType": "Bill Only",
"SpecialHandlingTypeCode": "ORA_PO_BILL_ONLY",
"Description": "Bill Only",
"HeaderContextCode": "ORA_PO_BILL_ONLY_HEADERS",
"LineContextCode": "ORA_PO_BILL_ONLY_LINES",
"NegotiatedFlag": null,
"EnabledFlag": true,
"AutomaticallyCreateReceiptFlag": null,
"RequiresSingleSupplierFlag": true,
"RequiresBuyerReviewFlag": null
}
Example Response Body
The following example includes the contents of the response body in JSON format:
{
"SpecialHandlingTypeId": 300100650999688,
"SpecialHandlingTypeCode": "ORA_PO_BILL_ONLY",
"SpecialHandlingType": "Bill Only",
"Description": "Bill Only",
"HeaderContextCode": "ORA_PO_BILL_ONLY_HEADERS",
"HeaderContext": null,
"LineContextCode": "ORA_PO_BILL_ONLY_LINES",
"LineContext": "Bill Only Context for Lines",
"NegotiatedFlag": null,
"EnabledFlag": true,
"AutomaticallyCreateReceiptFlag": null,
"RequiresSingleSupplierFlag": true,
"RequiresBuyerReviewFlag": null,
"CreatedBy": "CVBUYER01",
"CreationDate": "2026-02-09T05:07:29.001+00:00",
"LastUpdateDate": "2026-02-09T05:07:29.285+00:00",
"LastUpdatedBy": "CVBUYER01",
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/version/specialHandlingTypes/300100650999688",
"name": "specialHandlingTypes",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername/fscmRestApi/resources/version/specialHandlingTypes/300100650999688",
"name": "specialHandlingTypes",
"kind": "item"
}
]
}